petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeAddDM

adds a DM vector to a DMComposite

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeAddDM(DM dmc,DM dm)

Collective on DMComposite

### Input Parameter

| dmc | - the DMComposite (packer) object
| dm | - the DM object

### See Also

DMDestroy(), DMCompositeGather(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/snes/examples/tutorials/ex73f90t.F90.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages